Package be.cin.mycarenet._1_0.carenet.types

# Class SpecificTechnicalCareDetail

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.SpecificTechnicalCareDetail

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class SpecificTechnicalCareDetail extends Object implements Serializable

Java class for SpecificTechnicalCareDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SpecificTechnicalCareDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NurseReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}NurseReferenceType"/>
             <element name="Requester" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
             <element name="TreatmentPeriod" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodType"/>
             <element name="Prescriber" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
             <element name="AdministeredProduct" type="{urn:be:cin:mycarenet:1.0:carenet:types}FillerType"/>
           </sequence>
           <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}SpecificTechnicalCareTypeType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpecificTechnicalCareDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdministeredProduct()`
  Gets the value of the administeredProduct property.
  `String`
  `getNurseReference()`
  Gets the value of the nurseReference property.
  `String`
  `getPrescriber()`
  Gets the value of the prescriber property.
  `String`
  `getRequester()`
  Gets the value of the requester property.
  `PeriodType`
  `getTreatmentPeriod()`
  Gets the value of the treatmentPeriod property.
  `SpecificTechnicalCareTypeType`
  `getType()`
  Gets the value of the type property.
  `void`
  `setAdministeredProduct(String value)`
  Sets the value of the administeredProduct property.
  `void`
  `setNurseReference(String value)`
  Sets the value of the nurseReference property.
  `void`
  `setPrescriber(String value)`
  Sets the value of the prescriber property.
  `void`
  `setRequester(String value)`
  Sets the value of the requester property.
  `void`
  `setTreatmentPeriod(PeriodType value)`
  Sets the value of the treatmentPeriod property.
  `void`
  `setType(SpecificTechnicalCareTypeType value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpecificTechnicalCareDetail

    public SpecificTechnicalCareDetail()

- ## Method Details

  - ### getNurseReference

    public String getNurseReference()
    Gets the value of the nurseReference property.
    Returns:
      possible object is `String`

  - ### setNurseReference

    public void setNurseReference(String value)
    Sets the value of the nurseReference property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRequester

    public String getRequester()
    Gets the value of the requester property.
    Returns:
      possible object is `String`

  - ### setRequester

    public void setRequester(String value)
    Sets the value of the requester property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTreatmentPeriod

    public PeriodType getTreatmentPeriod()
    Gets the value of the treatmentPeriod property.
    Returns:
      possible object is `PeriodType`

  - ### setTreatmentPeriod

    public void setTreatmentPeriod(PeriodType value)
    Sets the value of the treatmentPeriod property.
    Parameters:
      `value` - allowed object is `PeriodType`

  - ### getPrescriber

    public String getPrescriber()
    Gets the value of the prescriber property.
    Returns:
      possible object is `String`

  - ### setPrescriber

    public void setPrescriber(String value)
    Sets the value of the prescriber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAdministeredProduct

    public String getAdministeredProduct()
    Gets the value of the administeredProduct property.
    Returns:
      possible object is `String`

  - ### setAdministeredProduct

    public void setAdministeredProduct(String value)
    Sets the value of the administeredProduct property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public SpecificTechnicalCareTypeType getType()
    Gets the value of the type property.
    Returns:
      possible object is `SpecificTechnicalCareTypeType`

  - ### setType

    public void setType(SpecificTechnicalCareTypeType value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `SpecificTechnicalCareTypeType`